Subject: Re: bug#18972: 24.4.51; [NS] Crash in ns_set_vertical_scroll_bar

From: "Jan D." <[email-masked]>
Date: Thu, 06 Nov 2014 08:57:27 +0100

Ivan Andrus skrev den 2014-11-06 07:01:
> After running for perhaps a day or two, emacs crashed in
> ns_set_vertical_scroll_bar.  I'm not sure how to reproduce it, but I
> still have the lldb session open so I can get more info if desired.
> Unfortunately, I don't have gdb installed so I can't use xbactrace, but
> it doesn't look like that would be very useful anyway.
>
> OS X 10.9.5 in case it matters.
>
> -Ivan
>
>
> (lldb) bt all
> * thread #1: tid = 0x27f4b5, 0x00007fff8f510097 libobjc.A.dylib`objc_msgSend + 23, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>      frame #0: 0x00007fff8f510097 libobjc.A.dylib`objc_msgSend + 23
>    * frame #1: 0x00000001001bdb6f Emacs`ns_set_vertical_scroll_bar(window=0x00000001250bd0d0, portion=2708, whole=56199, position=0) + 95 at nsterm.m:3767

ns_set_vertical_scroll_bar is not at nsterm.m:3767.  When did you check 
out your sources?

	Jan D.